using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace WSDDBBrowser
{


    public class ClickCommand : ICommand
    {
        public ClickCommand(Action executeDelegate)
        {
            ExecuteDelegate = executeDelegate;
        }
        Action ExecuteDelegate { get; set; }

        public event EventHandler CanExecuteChanged;

        public bool CanExecute(object parameter)
        {
            return true;
        }

        public void Execute(object parameter)
        {
            ExecuteDelegate?.Invoke();
        }
    }
}
